package com.ruoyi.system.service.stamp;

import com.github.pagehelper.PageInfo;
import com.ruoyi.system.domain.stamp.StampExamineUser;
import com.ruoyi.system.domain.stamp.request.CarDinnerExamineRequest;
import com.ruoyi.system.domain.stamp.request.StampExamineSaveRequest;
import com.ruoyi.system.domain.stamp.vo.StampExamineDetail;
import com.ruoyi.system.domain.stamp.vo.StampExaminePageItem;

/**
 * * Author: brenda
 * * 2025/1/22
 **/
public interface StampExamineService {

    void save(StampExamineSaveRequest request);

    void apply(CarDinnerExamineRequest request);

    StampExamineDetail detail(String stampId, String userId);

    PageInfo<StampExaminePageItem> page(String title, String userId, String status);

    void reSubmit(StampExamineSaveRequest request);
}
